## com.sun.grizzly
Enum Controller.Protocol

    java.lang.Object
      java.lang.Enum<Controller.Protocol>
          com.sun.grizzly.Controller.Protocol

All Implemented Interfaces:
  Serializable, Comparable<Controller.Protocol>

Enclosing class:
  Controller

    public static enum Controller.Protocol

extends Enum<Controller.Protocol>

Enum Constant Summary
`CUSTOM`
`TCP`
`TLS`
`UDP`

Method Summary
`static Controller.Protocol` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Controller.Protocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UDP

    public static final Controller.Protocol UDP

### TCP

    public static final Controller.Protocol TCP

### TLS

    public static final Controller.Protocol TLS

### CUSTOM

    public static final Controller.Protocol CUSTOM

Method Detail

### values

    public static Controller.Protocol[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Controller.Protocol c : Controller.Protocol.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Controller.Protocol valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.